import { createCategory as publicCreateCategory, bulkCreateCategory as publicBulkCreateCategory, updateCategory as publicUpdateCategory, deleteCategory as publicDeleteCategory, queryCategories as publicQueryCategories, assignEvents as publicAssignEvents, bulkAssignEvents as publicBulkAssignEvents, bulkAssignEventsAsync as publicBulkAssignEventsAsync, unassignEvents as publicUnassignEvents, bulkUnassignEvents as publicBulkUnassignEvents, bulkUnassignEventsAsync as publicBulkUnassignEventsAsync, listEventCategories as publicListEventCategories, reorderCategoryEvents as publicReorderCategoryEvents } from './events-v1-category-categories.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const createCategory: MaybeContext<BuildRESTFunction<typeof publicCreateCategory> & typeof publicCreateCategory>;
export declare const bulkCreateCategory: MaybeContext<BuildRESTFunction<typeof publicBulkCreateCategory> & typeof publicBulkCreateCategory>;
export declare const updateCategory: MaybeContext<BuildRESTFunction<typeof publicUpdateCategory> & typeof publicUpdateCategory>;
export declare const deleteCategory: MaybeContext<BuildRESTFunction<typeof publicDeleteCategory> & typeof publicDeleteCategory>;
export declare const queryCategories: MaybeContext<BuildRESTFunction<typeof publicQueryCategories> & typeof publicQueryCategories>;
export declare const assignEvents: MaybeContext<BuildRESTFunction<typeof publicAssignEvents> & typeof publicAssignEvents>;
export declare const bulkAssignEvents: MaybeContext<BuildRESTFunction<typeof publicBulkAssignEvents> & typeof publicBulkAssignEvents>;
export declare const bulkAssignEventsAsync: MaybeContext<BuildRESTFunction<typeof publicBulkAssignEventsAsync> & typeof publicBulkAssignEventsAsync>;
export declare const unassignEvents: MaybeContext<BuildRESTFunction<typeof publicUnassignEvents> & typeof publicUnassignEvents>;
export declare const bulkUnassignEvents: MaybeContext<BuildRESTFunction<typeof publicBulkUnassignEvents> & typeof publicBulkUnassignEvents>;
export declare const bulkUnassignEventsAsync: MaybeContext<BuildRESTFunction<typeof publicBulkUnassignEventsAsync> & typeof publicBulkUnassignEventsAsync>;
export declare const listEventCategories: MaybeContext<BuildRESTFunction<typeof publicListEventCategories> & typeof publicListEventCategories>;
export declare const reorderCategoryEvents: MaybeContext<BuildRESTFunction<typeof publicReorderCategoryEvents> & typeof publicReorderCategoryEvents>;
export { State, SortOrder, CategoryFieldset, WebhookIdentityType, } from './events-v1-category-categories.universal.js';
export { Category, CategoryCounts, CreateCategoryRequest, CreateCategoryResponse, BulkCreateCategoryRequest, BulkCreateCategoryResponse, BulkCategoryResult, ItemMetadata, ApplicationError, BulkActionMetadata, UpdateCategoryRequest, UpdateCategoryResponse, DeleteCategoryRequest, DeleteCategoryResponse, QueryCategoriesRequest, QueryV2, QueryV2PagingMethodOneOf, Sorting, Paging, QueryCategoriesResponse, PagingMetadataV2, Cursors, AssignEventsRequest, AssignEventsResponse, BulkAssignEventsRequest, BulkAssignEventsResponse, BulkAssignEventsAsyncRequest, BulkAssignEventsAsyncResponse, UnassignEventsRequest, UnassignEventsResponse, BulkUnassignEventsRequest, BulkUnassignEventsResponse, BulkUnassignEventsAsyncRequest, BulkUnassignEventsAsyncResponse, ListEventCategoriesRequest, ListEventCategoriesResponse, ReorderCategoryEventsRequest, ReorderCategoryEventsRequestReferenceEventOneOf, ReorderCategoryEventsResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, UpdateCategory, QueryCategoriesOptions, CategoriesQueryResult, CategoriesQueryBuilder, BulkAssignEventsOptions, BulkAssignEventsAsyncOptions, BulkUnassignEventsOptions, BulkUnassignEventsAsyncOptions, ReorderCategoryEventsOptions, ReorderCategoryEventsOptionsReferenceEventOneOf, } from './events-v1-category-categories.universal.js';
