import { createCategory as publicCreateCategory, bulkCreateCategory as publicBulkCreateCategory, updateCategory as publicUpdateCategory, deleteCategory as publicDeleteCategory, queryCategories as publicQueryCategories, assignEvents as publicAssignEvents, bulkAssignEvents as publicBulkAssignEvents, bulkAssignEventsAsync as publicBulkAssignEventsAsync, unassignEvents as publicUnassignEvents, bulkUnassignEvents as publicBulkUnassignEvents, bulkUnassignEventsAsync as publicBulkUnassignEventsAsync, listEventCategories as publicListEventCategories, reorderCategoryEvents as publicReorderCategoryEvents, } from './events-v1-category-categories.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
export const createCategory = /*#__PURE__*/ createRESTModule(publicCreateCategory);
export const bulkCreateCategory = /*#__PURE__*/ createRESTModule(publicBulkCreateCategory);
export const updateCategory = /*#__PURE__*/ createRESTModule(publicUpdateCategory);
export const deleteCategory = /*#__PURE__*/ createRESTModule(publicDeleteCategory);
export const queryCategories = /*#__PURE__*/ createRESTModule(publicQueryCategories);
export const assignEvents = /*#__PURE__*/ createRESTModule(publicAssignEvents);
export const bulkAssignEvents = /*#__PURE__*/ createRESTModule(publicBulkAssignEvents);
export const bulkAssignEventsAsync = /*#__PURE__*/ createRESTModule(publicBulkAssignEventsAsync);
export const unassignEvents = /*#__PURE__*/ createRESTModule(publicUnassignEvents);
export const bulkUnassignEvents = /*#__PURE__*/ createRESTModule(publicBulkUnassignEvents);
export const bulkUnassignEventsAsync = /*#__PURE__*/ createRESTModule(publicBulkUnassignEventsAsync);
export const listEventCategories = /*#__PURE__*/ createRESTModule(publicListEventCategories);
export const reorderCategoryEvents = /*#__PURE__*/ createRESTModule(publicReorderCategoryEvents);
export { State, SortOrder, CategoryFieldset, WebhookIdentityType, } from './events-v1-category-categories.universal.js';
//# sourceMappingURL=events-v1-category-categories.context.js.map