import { assignEvents as universalAssignEvents, bulkAssignEvents as universalBulkAssignEvents, bulkAssignEventsAsync as universalBulkAssignEventsAsync, bulkCreateCategory as universalBulkCreateCategory, bulkUnassignEvents as universalBulkUnassignEvents, bulkUnassignEventsAsync as universalBulkUnassignEventsAsync, createCategory as universalCreateCategory, deleteCategory as universalDeleteCategory, listEventCategories as universalListEventCategories, queryCategories as universalQueryCategories, reorderCategoryEvents as universalReorderCategoryEvents, unassignEvents as universalUnassignEvents, updateCategory as universalUpdateCategory, } from './events-v1-category-categories.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/events' };
export function createCategory(httpClient) {
    return (category) => universalCreateCategory(category, 
    // @ts-ignore
    { httpClient });
}
export function bulkCreateCategory(httpClient) {
    return (categories) => universalBulkCreateCategory(categories, 
    // @ts-ignore
    { httpClient });
}
export function updateCategory(httpClient) {
    return (_id, category) => universalUpdateCategory(_id, category, 
    // @ts-ignore
    { httpClient });
}
export function deleteCategory(httpClient) {
    return (categoryId) => universalDeleteCategory(categoryId, 
    // @ts-ignore
    { httpClient });
}
export function queryCategories(httpClient) {
    return (options) => universalQueryCategories(options, 
    // @ts-ignore
    { httpClient });
}
export function assignEvents(httpClient) {
    return (categoryId, eventId) => universalAssignEvents(categoryId, eventId, 
    // @ts-ignore
    { httpClient });
}
export function bulkAssignEvents(httpClient) {
    return (categoryId, options) => universalBulkAssignEvents(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
export function bulkAssignEventsAsync(httpClient) {
    return (categoryId, options) => universalBulkAssignEventsAsync(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
export function unassignEvents(httpClient) {
    return (categoryId, eventId) => universalUnassignEvents(categoryId, eventId, 
    // @ts-ignore
    { httpClient });
}
export function bulkUnassignEvents(httpClient) {
    return (categoryId, options) => universalBulkUnassignEvents(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
export function bulkUnassignEventsAsync(httpClient) {
    return (categoryId, options) => universalBulkUnassignEventsAsync(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
export function listEventCategories(httpClient) {
    return (eventId) => universalListEventCategories(eventId, 
    // @ts-ignore
    { httpClient });
}
export function reorderCategoryEvents(httpClient) {
    return (categoryId, options) => universalReorderCategoryEvents(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
export { CategoryFieldset, SortOrder, State, WebhookIdentityType, } from './events-v1-category-categories.universal.js';
//# sourceMappingURL=events-v1-category-categories.public.js.map