"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.State = exports.SortOrder = exports.CategoryFieldset = exports.reorderCategoryEvents = exports.listEventCategories = exports.bulkUnassignEventsAsync = exports.bulkUnassignEvents = exports.unassignEvents = exports.bulkAssignEventsAsync = exports.bulkAssignEvents = exports.assignEvents = exports.queryCategories = exports.deleteCategory = exports.updateCategory = exports.bulkCreateCategory = exports.createCategory = exports.__metadata = void 0;
const events_v1_category_categories_universal_js_1 = require("./events-v1-category-categories.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/events' };
function createCategory(httpClient) {
    return (category) => (0, events_v1_category_categories_universal_js_1.createCategory)(category, 
    // @ts-ignore
    { httpClient });
}
exports.createCategory = createCategory;
function bulkCreateCategory(httpClient) {
    return (categories) => (0, events_v1_category_categories_universal_js_1.bulkCreateCategory)(categories, 
    // @ts-ignore
    { httpClient });
}
exports.bulkCreateCategory = bulkCreateCategory;
function updateCategory(httpClient) {
    return (_id, category) => (0, events_v1_category_categories_universal_js_1.updateCategory)(_id, category, 
    // @ts-ignore
    { httpClient });
}
exports.updateCategory = updateCategory;
function deleteCategory(httpClient) {
    return (categoryId) => (0, events_v1_category_categories_universal_js_1.deleteCategory)(categoryId, 
    // @ts-ignore
    { httpClient });
}
exports.deleteCategory = deleteCategory;
function queryCategories(httpClient) {
    return (options) => (0, events_v1_category_categories_universal_js_1.queryCategories)(options, 
    // @ts-ignore
    { httpClient });
}
exports.queryCategories = queryCategories;
function assignEvents(httpClient) {
    return (categoryId, eventId) => (0, events_v1_category_categories_universal_js_1.assignEvents)(categoryId, eventId, 
    // @ts-ignore
    { httpClient });
}
exports.assignEvents = assignEvents;
function bulkAssignEvents(httpClient) {
    return (categoryId, options) => (0, events_v1_category_categories_universal_js_1.bulkAssignEvents)(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkAssignEvents = bulkAssignEvents;
function bulkAssignEventsAsync(httpClient) {
    return (categoryId, options) => (0, events_v1_category_categories_universal_js_1.bulkAssignEventsAsync)(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkAssignEventsAsync = bulkAssignEventsAsync;
function unassignEvents(httpClient) {
    return (categoryId, eventId) => (0, events_v1_category_categories_universal_js_1.unassignEvents)(categoryId, eventId, 
    // @ts-ignore
    { httpClient });
}
exports.unassignEvents = unassignEvents;
function bulkUnassignEvents(httpClient) {
    return (categoryId, options) => (0, events_v1_category_categories_universal_js_1.bulkUnassignEvents)(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkUnassignEvents = bulkUnassignEvents;
function bulkUnassignEventsAsync(httpClient) {
    return (categoryId, options) => (0, events_v1_category_categories_universal_js_1.bulkUnassignEventsAsync)(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkUnassignEventsAsync = bulkUnassignEventsAsync;
function listEventCategories(httpClient) {
    return (eventId) => (0, events_v1_category_categories_universal_js_1.listEventCategories)(eventId, 
    // @ts-ignore
    { httpClient });
}
exports.listEventCategories = listEventCategories;
function reorderCategoryEvents(httpClient) {
    return (categoryId, options) => (0, events_v1_category_categories_universal_js_1.reorderCategoryEvents)(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
exports.reorderCategoryEvents = reorderCategoryEvents;
var events_v1_category_categories_universal_js_2 = require("./events-v1-category-categories.universal.js");
Object.defineProperty(exports, "CategoryFieldset", { enumerable: true, get: function () { return events_v1_category_categories_universal_js_2.CategoryFieldset; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return events_v1_category_categories_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "State", { enumerable: true, get: function () { return events_v1_category_categories_universal_js_2.State; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return events_v1_category_categories_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=events-v1-category-categories.public.js.map