import * as ambassadorWixEventsV1CategoryTypes from './events-v1-category-categories.types.js';
import * as ambassadorWixEventsV1CategoryUniversalTypes from './events-v1-category-categories.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createCategory(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEventsV1CategoryUniversalTypes.CreateCategoryRequest, ambassadorWixEventsV1CategoryTypes.CreateCategoryRequest, ambassadorWixEventsV1CategoryUniversalTypes.CreateCategoryResponse, ambassadorWixEventsV1CategoryTypes.CreateCategoryResponse>;
export declare function bulkCreateCategory(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEventsV1CategoryUniversalTypes.BulkCreateCategoryRequest, ambassadorWixEventsV1CategoryTypes.BulkCreateCategoryRequest, ambassadorWixEventsV1CategoryUniversalTypes.BulkCreateCategoryResponse, ambassadorWixEventsV1CategoryTypes.BulkCreateCategoryResponse>;
export declare function updateCategory(): __PublicMethodMetaInfo<'PATCH', {
    categoryId: string;
}, ambassadorWixEventsV1CategoryUniversalTypes.UpdateCategoryRequest, ambassadorWixEventsV1CategoryTypes.UpdateCategoryRequest, ambassadorWixEventsV1CategoryUniversalTypes.UpdateCategoryResponse, ambassadorWixEventsV1CategoryTypes.UpdateCategoryResponse>;
export declare function deleteCategory(): __PublicMethodMetaInfo<'DELETE', {
    categoryId: string;
}, ambassadorWixEventsV1CategoryUniversalTypes.DeleteCategoryRequest, ambassadorWixEventsV1CategoryTypes.DeleteCategoryRequest, ambassadorWixEventsV1CategoryUniversalTypes.DeleteCategoryResponse, ambassadorWixEventsV1CategoryTypes.DeleteCategoryResponse>;
export declare function queryCategories(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEventsV1CategoryUniversalTypes.QueryCategoriesRequest, ambassadorWixEventsV1CategoryTypes.QueryCategoriesRequest, ambassadorWixEventsV1CategoryUniversalTypes.QueryCategoriesResponse, ambassadorWixEventsV1CategoryTypes.QueryCategoriesResponse>;
export declare function assignEvents(): __PublicMethodMetaInfo<'POST', {
    categoryId: string;
}, ambassadorWixEventsV1CategoryUniversalTypes.AssignEventsRequest, ambassadorWixEventsV1CategoryTypes.AssignEventsRequest, ambassadorWixEventsV1CategoryUniversalTypes.AssignEventsResponse, ambassadorWixEventsV1CategoryTypes.AssignEventsResponse>;
export declare function bulkAssignEvents(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEventsV1CategoryUniversalTypes.BulkAssignEventsRequest, ambassadorWixEventsV1CategoryTypes.BulkAssignEventsRequest, ambassadorWixEventsV1CategoryUniversalTypes.BulkAssignEventsResponse, ambassadorWixEventsV1CategoryTypes.BulkAssignEventsResponse>;
export declare function bulkAssignEventsAsync(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEventsV1CategoryUniversalTypes.BulkAssignEventsAsyncRequest, ambassadorWixEventsV1CategoryTypes.BulkAssignEventsAsyncRequest, ambassadorWixEventsV1CategoryUniversalTypes.BulkAssignEventsAsyncResponse, ambassadorWixEventsV1CategoryTypes.BulkAssignEventsAsyncResponse>;
export declare function unassignEvents(): __PublicMethodMetaInfo<'DELETE', {
    categoryId: string;
}, ambassadorWixEventsV1CategoryUniversalTypes.UnassignEventsRequest, ambassadorWixEventsV1CategoryTypes.UnassignEventsRequest, ambassadorWixEventsV1CategoryUniversalTypes.UnassignEventsResponse, ambassadorWixEventsV1CategoryTypes.UnassignEventsResponse>;
export declare function bulkUnassignEvents(): __PublicMethodMetaInfo<'DELETE', {}, ambassadorWixEventsV1CategoryUniversalTypes.BulkUnassignEventsRequest, ambassadorWixEventsV1CategoryTypes.BulkUnassignEventsRequest, ambassadorWixEventsV1CategoryUniversalTypes.BulkUnassignEventsResponse, ambassadorWixEventsV1CategoryTypes.BulkUnassignEventsResponse>;
export declare function bulkUnassignEventsAsync(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEventsV1CategoryUniversalTypes.BulkUnassignEventsAsyncRequest, ambassadorWixEventsV1CategoryTypes.BulkUnassignEventsAsyncRequest, ambassadorWixEventsV1CategoryUniversalTypes.BulkUnassignEventsAsyncResponse, ambassadorWixEventsV1CategoryTypes.BulkUnassignEventsAsyncResponse>;
export declare function listEventCategories(): __PublicMethodMetaInfo<'GET', {
    eventId: string;
}, ambassadorWixEventsV1CategoryUniversalTypes.ListEventCategoriesRequest, ambassadorWixEventsV1CategoryTypes.ListEventCategoriesRequest, ambassadorWixEventsV1CategoryUniversalTypes.ListEventCategoriesResponse, ambassadorWixEventsV1CategoryTypes.ListEventCategoriesResponse>;
export declare function reorderCategoryEvents(): __PublicMethodMetaInfo<'POST', {
    categoryId: string;
}, ambassadorWixEventsV1CategoryUniversalTypes.ReorderCategoryEventsRequest, ambassadorWixEventsV1CategoryTypes.ReorderCategoryEventsRequest, ambassadorWixEventsV1CategoryUniversalTypes.ReorderCategoryEventsResponse, ambassadorWixEventsV1CategoryTypes.ReorderCategoryEventsResponse>;
